%define	pypi_name	cachy
%define debug_package %{nil}

Name:			python-%{pypi_name}
Version:		0.3.0
Release:		%mkrel 1
Summary:		Cachy provides a simple yet effective caching library
Group:			Development/Python
License:		GPLv2+
URL:			https://pypi.org/project/cachy/
Source0:		https://pypi.python.org/packages/source/c/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
ExclusiveArch:	i586 x86_64 aarch64

%description
Cachy provides a simple yet effective caching library

%package -n python3-cachy
Summary:		Cachy provides a simple yet effective caching library
Group:			Development/Python
BuildRequires:	pyproject-rpm-macros
BuildRequires:	python3dist(setuptools)
BuildRequires:	pkgconfig(python3)

%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-cachy
Cachy provides a simple yet effective caching library

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files tests cachy

%files -n python3-cachy -f %{pyproject_files}
